# Action configuration details

You can add or update triggers through [Settings](/reference/settings.md) > [Data governance](/reference/settings/data-governance.md) > [Business rules](/reference/settings/data-governance/business-rules.md) > [Actions](/reference/settings/data-governance/business-rules/business-rule-details/actions.md).

### Create a task

| Title                                          | A title for your task                                |
| ---------------------------------------------- | ---------------------------------------------------- |
| Description                                    | A description for your task.                         |
| Responsible                                    | One or more responsible persons or groups.           |
| Deadline in days relative to the task creation | A deadline relative to the task creation, if needed. |

### Throw error

| Error message | Error message shown to the user. |
| ------------- | -------------------------------- |

### Start AI text generation

| Field selection    | Which fields should be translated by the AI assistant.                                          |
| ------------------ | ----------------------------------------------------------------------------------------------- |
| Create user task   | Determine if a user task should be created when the AI assistant created a new background task. |
| Title              | A title for your task.                                                                          |
| Description        | A description for your task.                                                                    |
| Responsible        | One or more responsible persons or groups.                                                      |
| Deadline (in days) | A deadline relative to the task creation, if needed.                                            |

### Start AI translation

| Field selections                    | Which fields should be translated by the AI assistant.                                          |
| ----------------------------------- | ----------------------------------------------------------------------------------------------- |
| Source language                     | The language to translate from.                                                                 |
| Target language                     | The language the AI assistant should translate to.                                              |
| Override existing translated values | If set to 'True' the AI assistant will override existing translated values.                     |
| Create user task                    | Determine if a user task should be created when the AI assistant created a new background task. |
| Title                               | A title for your task.                                                                          |
| Description                         | A description for your task.                                                                    |
| Responsible                         | One or more responsible persons or groups.                                                      |
| Deadline (in days)                  | A deadline relative to the task creation, if needed.                                            |

### Archive product

| Archive reason | A reason to set when archiving. |
| -------------- | ------------------------------- |

### Change product structure

| Product structure | Target product structure. |
| ----------------- | ------------------------- |

### Change workflow state for entity

| Workflow state | A workflow state to transition to. Note that the action will only run for entities that are using the workflow to which the selected workflow state belongs. |
| -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------ |

### Aggregate data from children to entitiy

| Child entity type     | What entities should be evaluated.                            |
| --------------------- | ------------------------------------------------------------- |
| Filter                | A filter to only aggregate on a subset of the child entities. |
| Function              | The aggregation function to execute.                          |
| Condition             | A condition all selected children must match.                 |
| Aggregate values from | The number attribute to aggregate on.                         |
| Write result to       | The attribute to save the result to.                          |

### Calculate value

| Calculation | Build a calculation using number attributes and mathematical operators and functions. |
| ----------- | ------------------------------------------------------------------------------------- |

### Concatenate value

| Format pattern              | A concatenation pattern to use for generating the value.                                 |
| --------------------------- | ---------------------------------------------------------------------------------------- |
| Use advanced format pattern | This enables the look ahead \*, '{0}\* x {1}' and conditional empty \|\| '{0\|\|1\|\|2}' |
| Data fields to merge        | The data fields to merge into the defined pattern above.                                 |
| Data field to write to      | The data field to write the resulting value to.                                          |

### Copy attribute value

| Data field to copy    | The data field to copy.    |
| --------------------- | -------------------------- |
| Data field to copy to | The data field to copy to. |

### Trigger sub rule

| Entities to execute for | The entities to execute the sub rule for.                                                  |
| ----------------------- | ------------------------------------------------------------------------------------------ |
| Rule to execute         | The rule you want to execute for the items selected above.                                 |
| Execute async           | Determines whether the rule shall execute asynchronously or within the transaction itself. |

{% hint style="danger" %}
When executing rules for children of an item, it is highly recommended to execute the rule asynchronously to ensure a good user experience.
{% endhint %}

### Reset attribute value

| Attribute to reset | The attribute to reset. |
| ------------------ | ----------------------- |

### Update product attribute value

| Attribute to update   | The attribute to update.                                             |
| --------------------- | -------------------------------------------------------------------- |
| Select operation type | The operation type you want to perform.                              |
| Enter new value       | The new value to save to all selected items for attribute to update. |

### Un-archive entity

| Attribute to reset | The attribute to reset. |
| ------------------ | ----------------------- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.struct.com/reference/settings/data-governance/business-rules/business-rule-details/actions/action-details/action-configuration-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
